<?php

return [
    // Level 0
    'a' => [
        'dashboard' => [
            'title' => 'cms::sidebar.dashboard',
            'route' => 'cms.dashboard',
            'icon' => 'fas fa-tachometer-alt'
        ],
    ],

    // Level 1
    'b' => [
        'pages' => [
            'title' => 'cms::sidebar.pages',
            'route' => 'cms.pages',
            'roles' => ['admin'],
            'resource' => [
                'pages.index' => [
                    'title' => 'cms::sidebar.component-list',
                    'route' => 'cms.pages.index',
                    'roles' => [
                        'admin'
                    ]
                ],
                'pages.create' => [
                    'title' => 'cms::sidebar.add_new',
                    'route' => 'cms.pages.create',
                    'roles' => [
                        'admin'
                    ],
                ],
            ],
            'icon' => 'fas fa-paste'
        ],
        'posts' => [
            'title' => 'cms::sidebar.posts',
            'route' => 'cms.posts',
            'roles' => ['admin'],
            'resource' => [
                'posts.index' => [
                    'title' => 'cms::sidebar.component-list',
                    'route' => 'cms.posts.index',
                    'roles' => [
                        'admin'
                    ]
                ],
                'posts.create' => [
                    'title' => 'cms::sidebar.add_new',
                    'route' => 'cms.posts.create',
                    'roles' => [
                        'admin'
                    ]
                ],
            ],
            'icon' => 'far fa-file'
        ],
        'categories' => [
            'title' => 'cms::sidebar.categories',
            'route' => 'cms.categories',
            'roles' => ['admin'],
            'resource' => [
                'categories.index' => [
                    'title' => 'cms::sidebar.list',
                    'route' => 'cms.categories.index',
                    'roles' => [
                        'admin'
                    ],
                ],
                'categories.create' => [
                    'title' => 'cms::sidebar.add_new',
                    'route' => 'cms.categories.create',
                    'roles' => [
                        'admin'
                    ],
                ],
            ],
            'icon' => 'fas fa-stream'
        ],
    ],

    // Level 2
    'c' => [
        'media' => [
            'title' => 'cms::sidebar.media',
            'roles' => [
                'admin', 'manager'
            ],
            'route' => 'cms.media',
            'icon' => 'fas fa-photo-video'
        ]

    ],

    // Level 3
    'd' => [

    ],

    // Level 4
    'e' => [
        'admin_users' => [
            'title' => 'cms::sidebar.admin-users',
            'route' => 'cms.admin-users',
            'roles' => ['admin'],
            'resource' => [
                [
                    'title' => 'cms::sidebar.component-list',
                    'route' => 'cms.admin-users.index'
                ],
                [
                    'title' => 'cms::sidebar.add_new',
                    'route' => 'cms.admin-users.create'
                ],
            ],
            'icon' => 'fas fa-users'
        ],
    ]
];
