@extends('cms::admin.layouts.app')


@section('content')

    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th>@sortablelink('id', trans('cms-fixed::admin.id'))</th>
                        <th>@sortablelink('post_status', trans('cms-fixed::admin.status'))</th>
                        <th>@sortablelink('name', trans('cms-fixed::admin.title'))</th>
                        <th>@sortablelink('created_at', trans('cms-fixed::admin.created_at'))</th>
                        <th>@sortablelink('updated_at', trans('cms-fixed::admin.updated_at'))</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @forelse($categories as $category)
                        <tr class="align-center">
                            @php
                                /**
                                * @var \TDevAgency\Cms\Models\BaseModels\Category $category
                                */
                            @endphp
                            <th>{{$category->id}}</th>
                            <td>{{$category->post_status}}</td>
                            <td>{{$category->adminLocalization->title ?? 'No title'}}</td>
                            <td>{{$category->updated_at->formatLocalized('%d %B %Y %H:%m')}}</td>
                            <td>{{$category->created_at->formatLocalized('%d %B %Y %H:%m')}}</td>
                            <td class="text-nowrap text-right">
                                <a href="{{route('cms.categories.edit', $category->id)}}"
                                   class="btn btn-outline-primary btn-sm"
                                ><i class="fas fa-pencil-alt"></i> <span
                                        class="d-none d-md-inline">@lang('cms-fixed::admin.edit')</span></a>
                                <form method="post" @submit="confirmDelete" class="d-inline"
                                      action="{{route('cms.categories.destroy', $category->id)}}">
                                    @csrf
                                    @method('DELETE')
                                    <button class="btn btn-outline-danger btn-sm">
                                        <i class="fas fa-trash"></i>
                                        <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td class="text-muted text-center" colspan="7">@lang('cms-fixed::admin.no_data')</td>
                        </tr>
                    @endforelse
                    </tbody>
                </table>
            </div>
        </div>
        <div class="card-footer text-right">
            <div class="d-inline-block">
                {!! $categories->appends(\Request::except('page'))->render() !!}
            </div>
        </div>
    </div>
@endsection
