@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group row">
        <label for="{{str_replace('.', '_', $key)}}"
               class="col-sm-2 col-form-label">{{isset($placeholder)?$placeholder:null}}</label>

        <div class="col-sm-10">
            <select class="form-control select-2" style="width: 100%"
                    id="{{str_replace('.', '_', $key)}}" name="{{ inputKeyToName($key) }}"

                    @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                    @foreach($attributes as $attr_key => $attr_val )
                    @if(is_int($attr_key))
                    {{$attr_val}}
                    @else
                    {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                    @endif
                    @endforeach
                    @endif

                    @if(isset($placeholder)) title="{{$placeholder}}" @endif>
                @if(!isset($value))<option selected disabled>Please select...</option>@endif
                @forelse($options as $optionValue => $text)
                    <option value="{!! $optionValue !!}" {{ isset($value) && $optionValue == $value?  'selected' :null }}>
                        {!! $text !!}
                    </option>
                @empty
                @endforelse
            </select>
            @if($errors->has($key))
                <div class="help-block">{!! $errors->first($key) !!}</div>
            @endif
        </div>
    </div>
@endif